#include <iostream>
#include <string>

int main()
{
	std::ios_base::sync_with_stdio(false);
	std::cin.tie(nullptr);
	std::cout.tie(nullptr);
	
	int n;
	std::cin >> n;
	
	std::string s;
	std::cin >> s;

	if (n <= 26)
		std::cout << 0;
	else if(n == 27) {
		int t = 0;
		for (int i = 0; i < n; i++) {
			if (s[i] == t + 'A') {
				t++;
			}
		}
		if (t > 25) std::cout << 1;
		else std::cout << 0;
	}
	else {
		//do mojega
	}

	return 0;
}